<? session_start();

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
$enlace = cargar_conexion();
$accion = $_REQUEST["accion"];
$cedula = $_REQUEST["cedula"];
$fdesde = $_REQUEST["fdesde"];
$periodo = $_REQUEST["periodo"];
$supervisorAprobador = $_REQUEST["supervisor_Aprobador"];
$fechahoy = date('Y-m-d');
$aprobacionVacacion = $_REQUEST["aprobacionVacacion"];
$rechazoVacacion =  $_REQUEST["rechazoVacacion"];
$usuario = $_SESSION['usuario_validar'];
$rol_usuario = $_SESSION['rol'];
$position_number = $_SESSION['position_number'];

?>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<?

// ESTA CONSULTA VERIFICA LOS ESTADOS DE APROBACION PARA EVITAR QUE MCALLES Y GPROCOPI APRUEBEN POR CONTABILIDAD ANTES DE SUPERVISORES --MIGUELANGEL 09/09/24
$consultaEstadoAprob = "SELECT estado FROM buzon_vacaciones WHERE cedula='" . $cedula . "' order by  inicio_disfrute DESC";
		$resultadoEstadoAprob = mysqli_query($enlace, $consultaEstadoAprob) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$estadoAprob = mysqli_fetch_row($resultadoEstadoAprob);
		$estadoAprob = $estadoAprob[0] ;

		//echo "soy la consulta del estatus: ".$consultaEstadoAprob ;
		//echo "</b>estadoAprob: ".$estadoAprob ;
		//echo "</b>rol_usuario: ".$rol_usuario ;

		$consultaEstadoAprob2 = "SELECT aprobacion_rrhh FROM vacacion WHERE cedula='" . $cedula . "' ORDER BY fdesde DESC LIMIT 1";
		$resultadoEstadoAprob2 = mysqli_query($enlace, $consultaEstadoAprob2) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$estadoAprob2 = mysqli_fetch_row($resultadoEstadoAprob2);
		$estadoAprob2 = $estadoAprob2[0] ;
		//echo "consultaEstadoAprob2: ".$consultaEstadoAprob2 ;
		//echo "estadoAprob2: ".$estadoAprob2;




$resultado_aprobacion = '';
if (isset($aprobacionVacacion)) {

	////////Aprobacion del Supervisor
	if (($rol_usuario == 'supervisor' 
		|| $rol_usuario == 'gerente'
		|| $usuario == 'ASALAZ14') 
		&& substr($_SESSION['acceso_validar'], 42, 1) == '1' 
		&& $usuario != 'MCALLES1'  && $usuario != 'GPROCOPI')
	//if (($rol_usuario == 'supervisor' || $rol_usuario == 'gerente') && substr($_SESSION['acceso_validar'], 42, 1) == '1' && $estadoAprob == 'PENDIENTE') 
	
	//if (($rol_usuario == 'supervisor' || $rol_usuario == 'gerente') && substr($_SESSION['acceso_validar'], 42, 1) == '1' ) 
	{ //APRUEBA Supervisor (o gerente))
		//echo "entro aqui";
		//echo "estadoAprob".$estadoAprob;

		$estadoAprueba = 'APROBADA';
		$consultaActualizaBuzon = "UPDATE buzon_vacaciones SET estado = '" . $estadoAprueba . "', actualizado = SYSDATE() WHERE cedula='" . $cedula . "' AND inicio_disfrute = '" . $fdesde . "' AND estado ='PENDIENTE' ";
		$resultadoActBuzon = mysqli_query($enlace, $consultaActualizaBuzon) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		///echo "Soy la consulta que aprueba: ". $consultaActualizaBuzon;

		$query_aprobar = "UPDATE vacacion SET aprobacion_sup ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace, $query_aprobar);
		if (mysqli_affected_rows($enlace) > 0) { //Registro aprobado satisfactoriamente
			$resultado_aprobacion = "Registro aprobado";

			//EnvÃ­a correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			//Para el correo desde aqui parametros y varibles generales 
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';

			$mail = new PHPMailer(true);
			//Servidor de correo configuracion
			//$mail->SMTPDebug = 2; //Enable verbose debug output
			$mail->isSMTP(); // Set mailer to use SMTP
			$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			$mail->SMTPAuth = true; // Enable SMTP authentication
			$mail->Username = 'info@saireh-nomina.com'; // SMTP username
			$mail->Password = 'c0n5ul74rh3'; // SMTP password
			$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			$mail->Port = 465; // TCP port to connect to
			///envio de correos hasta aqui

			//Recipients
			$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
			$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('JSANCH32@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('OHENRIQ1@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('AOZUNA4@FORD.COM'); ///Una linea por cada destinatario
			$mail->addCC('NOMINA.FORD@SAIREH.COM');


			$asunto = 'Aprobacion por Supervisor Vacaciones de ' . $nombres;
			$mensaje = $nombre_usuario . ' ha APROBADO la solicitud vacaciones  de ' . $nombres . ' en SAIREH, se requiere ahora de la revision y aprobacion de "SERVICIO MEDICO" para confimar y completar su procesamiento.';

			$mail->isHTML(true); // Set email format to HTML
			$mail->Subject = $asunto;
			$mail->Body = $mensaje;
			$mail->AltBody = $mensaje;

			$mail->send();
		}
	}else if ($usuario == 'AOZUNA4' || $usuario == 'OHENRIQ1') {  //APRUEBA SERVICIO MEDICO
		$query_aprobar = "UPDATE vacacion SET aprobacion_medico ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace, $query_aprobar);
		if (mysqli_affected_rows($enlace) > 0) { //Registro aprobado satisfactoriamente
			$resultado_aprobacion = "Registro aprobado";

			//EnvÃ­a correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			//Para el correo desde aqui parametros y varibles generales 
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';

			$mail = new PHPMailer(true);
			//Servidor de correo configuracion
			//$mail->SMTPDebug = 2; //Enable verbose debug output
			$mail->isSMTP(); // Set mailer to use SMTP
			$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			$mail->SMTPAuth = true; // Enable SMTP authentication
			$mail->Username = 'info@saireh-nomina.com'; // SMTP username
			$mail->Password = 'c0n5ul74rh3'; // SMTP password
			$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			$mail->Port = 465; // TCP port to connect to
			///envio de correos hasta aqui

			//Recipients
			$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
			$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('JSANCH32@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('OHENRIQ1@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('AOZUNA4@FORD.COM'); ///Una linea por cada destinatario
			$mail->addCC('NOMINA.FORD@SAIREH.COM');

			$asunto = 'Aprobacion por SERVICIO MEDICO Vacaciones de ' . $nombres;
			$mensaje = $nombre_usuario . ' ha APROBADO por SERVICIO MEDICO las vacaciones  de ' . $nombres . ' en SAIREH, se requiere ahora de la revision y aprobacion de "RRHH" de estas vacaciones para confimar y completar su procesamiento.';

			$mail->isHTML(true); // Set email format to HTML
			$mail->Subject = $asunto;
			$mail->Body = $mensaje;
			$mail->AltBody = $mensaje;

			$mail->send();
		}
	} else if ($usuario == 'GCURBELO' 
		|| $usuario == 'JMONTI13' 
		|| $usuario == 'BSALAZA3' 
		|| $usuario == 'ASALAZ14' 
		|| $usuario == 'SAIREH') {  //APRUEBA RRHH
		$query_aprobar = "UPDATE vacacion SET aprobacion_rrhh ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace, $query_aprobar);
		if (mysqli_affected_rows($enlace) > 0) { //Registro aprobado satisfactoriamente
			$resultado_aprobacion = "Registro aprobado";

			//EnvÃ­a correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			//Para el correo desde aqui parametros y varibles generales 
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';

			$mail = new PHPMailer(true);
			//Servidor de correo configuracion
			//$mail->SMTPDebug = 2; //Enable verbose debug output
			$mail->isSMTP(); // Set mailer to use SMTP
			$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			$mail->SMTPAuth = true; // Enable SMTP authentication
			$mail->Username = 'info@saireh-nomina.com'; // SMTP username
			$mail->Password = 'c0n5ul74rh3'; // SMTP password
			$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			$mail->Port = 465; // TCP port to connect to
			///envio de correos hasta aqui

			//Recipients
			$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
			$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('JSANCH32@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('OHENRIQ1@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('AOZUNA4@FORD.COM'); ///Una linea por cada destinatario

			$mail->addCC('NOMINA.FORD@SAIREH.COM');

			$asunto = ' Aprobacion por RRHH Vacaciones de ' . $nombres;
			$mensaje = $nombre_usuario . ' ha APROBADO por RRHH las vacaciones  de ' . $nombres . ' en SAIREH, se requiere ahora de la revision y aprobacion de "NOMINA" de estas vacaciones para confimar y completar su procesamiento.';

			$mail->isHTML(true); // Set email format to HTML
			$mail->Subject = $asunto;
			$mail->Body = $mensaje;
			$mail->AltBody = $mensaje;

			$mail->send();
		}
	}  else if ($usuario == 'JSANCH32' || $usuario == 'YSIRA') {  //APRUEBA NOMINA
		//$query_aprobar = "UPDATE vacacion SET aprobacion_nomina ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion' AND aprobacion_rrhh = 'Aprobado' ";
		$query_aprobar = "UPDATE vacacion SET aprobacion_nomina ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion' ";
		$resultado_aprobar = mysqli_query($enlace, $query_aprobar);
		if (mysqli_affected_rows($enlace) > 0) {
			$resultado_aprobacion = "Registro aprobado";

			//EnvÃ­a correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));
			


			//Enviar correo a Supervisor y RRHH
			//Para el correo desde aqui parametros y varibles generales 
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';

			$mail = new PHPMailer(true);
			//Servidor de correo configuracion
			//$mail->SMTPDebug = 2; //Enable verbose debug output
			$mail->isSMTP(); // Set mailer to use SMTP
			$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			$mail->SMTPAuth = true; // Enable SMTP authentication
			$mail->Username = 'info@saireh-nomina.com'; // SMTP username
			$mail->Password = 'c0n5ul74rh3'; // SMTP password
			$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			$mail->Port = 465; // TCP port to connect to
			///envio de correos hasta aqui

			//Recipients
			$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
			$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('MCALLES1@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('JSANCH32@FORD.COM'); ///Una linea por cada destinatario
			$mail->addCC('NOMINA.FORD@SAIREH.COM');

			$asunto = 'Aprobacion por NOMINA de vacaciones de ' . $nombres;
			$mensaje = $nombre_usuario . ' ha APROBADO por NOMINA las vacaciones  de ' . $nombres . ' en SAIREH, se requiere ahora de la revision y aprobacion por "CONTABILIDAD" de estas vacaciones para confimar y completar su procesamiento y proceder con su pago.';

			$mail->isHTML(true); // Set email format to HTML
			$mail->Subject = $asunto;
			$mail->Body = $mensaje;
			$mail->AltBody = $mensaje;

			$mail->send();
		}
	} else if (($usuario == 'MCALLES1' || $usuario == 'GPROCOPI') ) { //APRUEBA CONTABILIDAD
		$query_aprobar = "UPDATE vacacion SET aprobacion_contabilidad ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace, $query_aprobar);
		if (mysqli_affected_rows($enlace) > 0) {
			$resultado_aprobacion = "Registro aprobado";

			//EnvÃ­a correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			//Para el correo desde aqui parametros y varibles generales 
			require 'hcm_files/PHPMailer/src/Exception.php';
			require 'hcm_files/PHPMailer/src/PHPMailer.php';
			require 'hcm_files/PHPMailer/src/SMTP.php';

			$mail = new PHPMailer(true);
			//Servidor de correo configuracion
			//$mail->SMTPDebug = 2; //Enable verbose debug output
			$mail->isSMTP(); // Set mailer to use SMTP
			$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			$mail->SMTPAuth = true; // Enable SMTP authentication
			$mail->Username = 'info@saireh-nomina.com'; // SMTP username
			$mail->Password = 'c0n5ul74rh3'; // SMTP password
			$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			$mail->Port = 465; // TCP port to connect to
			///envio de correos hasta aqui

			//Recipients
			$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
			$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
			$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('MCALLES1@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('JSANCH32@FORD.COM'); ///Una linea por cada destinatario
			$mail->addAddress('GPROCOPI@FORD.COM'); ///Una linea por cada destinatario
			$mail->addCC('NOMINA.FORD@SAIREH.COM');

			$asunto = ' Aprobacion por CONTABILIDAD pago de vacaciones de ' . $nombres;
			$mensaje = $nombre_usuario . ' ha APROBADO por CONTABILIDAD las vacaciones  de ' . $nombres . ' en SAIREH, se realizara el pago de las mismas segun su fecha programada.';

			$mail->isHTML(true); // Set email format to HTML
			$mail->Subject = $asunto;
			$mail->Body = $mensaje;
			$mail->AltBody = $mensaje;

			$mail->send();
		}
	}
}

if (isset($rechazoVacacion)) {


	//EnvÃ­a correo
	$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que rechaza

	//Consulta el nombre del trabajador al que se le rechazan las vacaciones
	$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$rechazoVacacion'";

	$resul_trabajador = mysqli_query($enlace, $query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$reg_trabajador = mysqli_fetch_array($resul_trabajador);
	$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

	//Enviar correo a Supervisor y RRHH
	//Para el correo desde aqui parametros y varibles generales 
	require 'hcm_files/PHPMailer/src/Exception.php';
	require 'hcm_files/PHPMailer/src/PHPMailer.php';
	require 'hcm_files/PHPMailer/src/SMTP.php';

	$mail = new PHPMailer(true);
	//Servidor de correo configuracion
	//$mail->SMTPDebug = 2; //Enable verbose debug output
	$mail->isSMTP(); // Set mailer to use SMTP
	$mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
	$mail->SMTPAuth = true; // Enable SMTP authentication
	$mail->Username = 'info@saireh-nomina.com'; // SMTP username
	$mail->Password = 'c0n5ul74rh3'; // SMTP password
	$mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
	$mail->Port = 465; // TCP port to connect to
	///envio de correos hasta aqui

	//Recipients
	$mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
	//$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
	////SIEMPRE deben escribirse en mayÃºsculas las direcciones de correo 
	$mail->addAddress('GCURBELO@FORD.COM'); ///Una linea por cada destinatario 
	$mail->addAddress('JMONTI13@FORD.COM'); ///Una linea por cada destinatario 
	$mail->addAddress('BSALAZA3@FORD.COM'); ///Una linea por cada destinatario
	$mail->addCC('NOMINA.FORD@SAIREH.COM');

	$asunto = 'Vacaciones Rechazadas de ' . $nombres;
	$mensaje = $nombre_usuario . ' ha RECHAZADO la solicitud vacaciones  de ' . $nombres . ' en SAIREH.';

	$mail->isHTML(true); // Set email format to HTML
	$mail->Subject = $asunto;
	$mail->Body = $mensaje;
	$mail->AltBody = $mensaje;

	$mail->send();
}

//calculo de vacaciones SAIREH Vzla.

$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $per = '';
menu();
set_time_limit(3000);

///////////////////////////////////////////////// grabar vacaciones ////////////////////////////////////////////////////////////////
if ($_POST['grabar'] == 1) {

	//====================== buscar registros
	$consulta = "select turno from personal where personal.id='" . $_SESSION['id_validar'] . "' and personal.codigo= '" . $_POST['cedula'] . "'";
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row = mysqli_fetch_array($resultado);
	$fecha_ingreso = $row['fechai'];

	//====================== buscar dias de descanso en turno
	$dia1 = 0;
	$dia2 = 0;
	if ($row['turno'] == '') {
		$dia1 = 1;
		$dia2 = 7;
	} else {
		$consultag = "Select semana from turno where id='" . $_SESSION['id_validar'] . "' and codigo='" . trim($row['turno']) . "'";
		$consultag = mysqli_query($enlace, $consultag) or die("no se pudo realizar la consulta..." . $consultag . '=' . mysqli_error($enlace));
		$rowg = mysqli_fetch_array($consultag);
		$semanaf = $rowg['semana'];
		for ($x = 0; $x < 7; $x++) {
			if (substr($semanaf, $x, 1) == 'D') {
				if ($dia1 == 0) $dia1 = ($x == 6 ? 1 : $x + 2);
				else {
					if ($dia2 == 0) $dia2 = ($x == 6 ? 1 : $x + 2);
				}
			}
		}
	}
	$valor_dvac = $_POST['sueldo'] * $_POST['dvac'];
	$valor_dbon = $_POST['sueldo'] * $_POST['dbon'];

	//====================== buscar dias feriados y sabado y domingo
	$desde  = crear_fecha($_POST['fecha1']);
	$desdex = crear_fecha($_POST['fecha1']);
	$hasta  = crear_fecha($_POST['fecha2']);
	$final  = crear_fecha($_POST['fecha3']);

	//Cuando no es automatico entra aquï¿½
	/*
	if ($_POST['fecha2']!='' && $_POST['fecha3']!='') {
		$otros = 0; $ddias='';
		while ($desde<$final) {
			$dia = substr($desde,8,2);
			$mes = substr($desde,5,2);
			$ano = substr($desde,0,4);
			$entro=0;
			$consulta1="select fecha from tab_feriado where id='".$_SESSION['id_validar']."' and substr(fecha,6,5)='".substr($desde,5,4)."'";
			$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			while ($row1 = mysqli_fetch_array($resultado1)) $entro=1;
			if ($entro==1) {
				$otros++;
				$ddias .='('.$desde.') ';
			} else {
				$semana = dia_semana($dia,$mes,$ano);
				if ($semana==$dia1 || $semana==$dia2) {
					$otros++;
					$ddias .='('.$desde.') ';
				} else $dactivo++;
			}
			$desde = date('Y-m-d',mktime(0,0,0,$mes,$dia+1,$ano));
		}
	}
*/
	//////////HASTA AQUI CUANDO NO ES AUTOMATICO

	///////////////////CUANDO ES AUTOMATICO ENTRA AQUI

	// Dias adicionales por antiguedad (Art 190) para el cï¿½lculo

	//$dant= ($_POST['antiguedad']>=2?$_POST['antiguedad']-1:0) + $_POST['dvac'];Esta lï¿½nea se sustituyï¿½ por el IF-ELSEIF de abajo para limitar los dï¿½as adicionales a 15 cuando la antigï¿½edad sea mayor a 15

	if ($_POST['antiguedad'] <= 1) {
		$dant = '0' + $_POST['dvac'];
	} elseif ($_POST['antiguedad'] > 1 && $_POST['antiguedad'] < 15) {
		$dant = $_POST['diext'] + $_POST['dvac'];
	} else
		$dant = $_POST['diext'] + $_POST['dvac'];

	$valor_dias_ext = $_POST['sueldo'] * $_POST['diext'];

	//$dias_ext2=($_POST['antiguedad']>=1?$_POST['antiguedad']:0);
	/// No aplican los dï¿½as adicionales del Art 192 en Ford por Convenio colectivo (pagan siempre 65 dï¿½as)

	//$valor_dias_ext2=$_POST['sueldo']/30*$dias_ext2;

	$otros = 0;
	$ddias = '';
	$dactivo = 0;
	while ($dactivo < $dant) {
		$dia = substr($desde, 8, 2);
		$mes = substr($desde, 5, 2);
		$ano = substr($desde, 0, 4);
		$entro = 0;
		$consulta1 = "select fecha from tab_feriado where id='" . $_SESSION['id_validar'] . "' and substr(fecha,6,5)='" . substr($desde, 5, 5) . "'";
		$resultado1 = mysqli_query($enlace, $consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		while ($row1 = mysqli_fetch_array($resultado1)) $entro = 1;
		if ($entro == 1) {
			$otros++;
			$ddias .= '(' . $desde . ') ';
		} else {
			$semana = dia_semana($dia, $mes, $ano);
			if ($semana == $dia1 || $semana == $dia2) {
				$otros++;
				$ddias .= '(' . $desde . ') ';
			} else $dactivo++;
		}
		$desde = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
	}

	////////Para Imprimir en pantalla para verificar valores No pasa nada si se borran estos echos
	//echo $dactivo."</br>";
	//echo $otros."</br>";
	//echo $ddias."</br>";

	//==================================== ver cuando ingreso a trabajar
	$entro = 0;
	$dia = substr($desde, 8, 2);
	$mes = substr($desde, 5, 2);
	$ano = substr($desde, 0, 4);
	$hasta = date('Y-m-d', mktime(0, 0, 0, $mes, $dia - 1, $ano));
	$final = $desde;
	while ($entro == 0) {
		$dia = substr($final, 8, 2);
		$mes = substr($final, 5, 2);
		$ano = substr($final, 0, 4);
		$semana = dia_semana($dia, $mes, $ano);

		if ($semana != $dia1 && $semana != $dia2) {
			//Agregado por victor PEï¿½a
			$consulta1 = "select fecha from tab_feriado where id='" . $_SESSION['id_validar'] . "' and substr(fecha,6,5)='" . substr($final, 5, 5) . "'";
			$resultado1 = mysqli_query($enlace, $consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if ($row1 = mysqli_fetch_array($resultado1)) {
				// $otros++;
				$ddias .= '(' . $final . ') ';
				$final = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
			} else $entro = 1;
		} else {
			//$otros++;
			//$ddias .='('.$final.') ';
			$final = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
		}

		$valor_otros_dias = $_POST['sueldo'] * $otros;
	}
	//echo $otros."</br>";
	//echo $ddias."</br>";

	if ($_POST['des1'] == 1) $_POST['semana'] == 0;

	$imes = mostrar_antiguedad(2, $_POST['fec'], $desdex);
	$_POST['icol'] = 0;

	/////////////CALCULO DE DIAS DE LA QUINCENA ANTERIOR A PAGAR
	$tipoNom = $_POST['tip'];
	if ($tipoNom == 2) {
		///Declaro varaiables
		$fechaInicVac = $desdex;
		$DiaInicVac = substr($desdex, 8, 2);
		//echo "Fecha Inicio Vacaciones: ".$fechaInicVac."</br>";

		if ($DiaInicVac <= 15) {
			$UltDiaQuinc = 15;
		} elseif ($DiaInicVac > 15 && $DiaTerminoVac <= 31) {
			$UltDiaQuinc = 30;
		}
		$DiasQuincPagadosVac = $UltDiaQuinc - $DiaInicVac + 1;
		$DiasQuincApagarVac = 15 - $DiasQuincPagadosVac;
		$valorDiasQuincApagarVac = $_POST['smesdia'] * $DiasQuincApagarVac;
	}
	//Imprimir en pantalla para verificar valores No pasa nada si se borran estos echos
	//echo "Ultimo Dia de Quincena en Vacaciones: ".$UltDiaQuinc."</br>";
	//echo "Dias de la Quincena Pagados en Vacaciones: ".$DiasQuincPagadosVac."</br>";
	//echo "Dias de la Quincena a Pagar en Vacaciones: ".$DiasQuincApagarVac."</br>";
	//echo "Valor Dias de la Quincena a Pagar en Vacaciones: ".$valorDiasQuincApagarVac."</br>";

	////////////////////////////

	$consulta = "insert into vacacion (icol,imes,isso,dia1,dia2,otros,valor_otros_dias,ddias,des1,des2,id,dias_ext,valor_dias_ext,dias_sueldo,valor_dias_sueldo, dvac,valor_dvac,dbon,valor_dbon,tip,cedula,periodo,fdesde,fhasta,sueldo,antiguedad, reintegro)  ";
	$consulta .= "values ('" . $_POST['icol'] . "','" . $imes . "','" . $_POST['semana'] . "','" . $dia1 . "','" . $dia2 . "','" . $otros . "','" . $valor_otros_dias . "','" . $ddias . "','" . $_POST['des1'] . "','" . $_POST['des2'] . "','" . $_SESSION['id_validar'] . "',";
	$consulta .= " '" . $_POST['diext'] . "','" . $valor_dias_ext . "','" . $DiasQuincApagarVac . "','" . $valorDiasQuincApagarVac . "','" . $_POST['dvac'] . "','" . $valor_dvac . "','" . $_POST['dbon'] . "','" . $valor_dbon . "','" . $_POST['tip'] . "','" . $_POST['cedula'] . "','" . $_POST['periodo'] . "','" . $desdex . "','" . $hasta . "','" . $_POST['sueldo'] . "','" . $_POST['antiguedad'] . "','" . $final . "' )";
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
}
///////////////////////////////////////////////// eliminar vacaciones ////////////////////////////////////////////////////////////////
if ($accion == 2) {

	$consulta = "delete from vacacion where id='" . $_SESSION['id_validar'] . "' and cedula='" . $cedula . "' and id_vacacion='" . $rechazoVacacion . "' ";
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

	$estadoRechazo = 'RECHAZADA';
	$consultaActualizaBuzon = "UPDATE buzon_vacaciones SET estado = '" . $estadoRechazo . "', actualizado = SYSDATE() WHERE cedula='" . $cedula . "' AND inicio_disfrute = '" . $fdesde . "' AND estado!='RECHAZADA' ";
	$resultadoActBuzon = mysqli_query($enlace, $consultaActualizaBuzon) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

	$consultaBorraReserva = "DELETE FROM prestamo WHERE cedula='" . $cedula . "' AND fecha = '" . $fdesde . "'  ";
	$resultadoBorroReserv = mysqli_query($enlace, $consultaBorraReserva) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

	//echo "Soy la consulta: ".$consultaActualizaBuzon ;

}

/////////////////////////////////////////////////MOSTRAR SOLICITUD DE CEDULA ////////////////////////////////////////////////////////////////
if ((!$_POST || $_POST['busca'] == 1) && ($accion != 5) && ($accion != 2) && ($_POST['grabar'] != 1)) {

	echo "<hr><h2> <center> APROBACION DE VACACIONES </center> </h2>";

	echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
	echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
	echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td align=right> Ordenado por:</td>";
	echo "<td colspan = 3>";
	echo "	<input type = 'radio' name = 'orden' value = 'ced' checked> cedula";
	echo "	<input type = 'radio' name = 'orden' value = 'nom'> nombre";
	echo "	<input type = 'radio' name = 'orden' value = 'ape'> apellido";
	echo "	<input type = 'radio' name = 'orden' value = 'fechai'> Fecha Ingreso";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' class='boton' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>";

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (codigo like '%" . $_POST['cedula'] . "%' or nombres like '%" . $_POST['cedula'] . "%' or apellidos like '%" . $_POST['cedula'] . "%') ";
	}
	if ($_POST['orden'] == "fechai") $query2 = " order by fechai";
	else if ($_POST['orden'] == "nom") $query2 = " order by nombres";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else if ($_POST['orden'] == "ced") $query2 = " order by codigo";
	else $query2 = " order by nomina,fdesde";

	$consulta = "select * from personal, vacacion where personal.id='" . $_SESSION['id_validar'] . "' and personal.status<>'I' AND personal.codigo=vacacion.cedula AND	vacacion.estatus_vac='procesado'  AND	vacacion.aprobacion_contabilidad!='Aprobado' " . $query1 . $query2;
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0) {
    // Agrupar registros por nómina
    $gruposNomina = [];
    while ($row = mysqli_fetch_array($resultado)) {
        $gruposNomina[$row['nomina']][] = $row;
    }

    // Recorrer cada grupo de nómina
    foreach ($gruposNomina as $tipoNomina => $registros) {
		$detalle_nomina = ( $tipoNomina == 100 ? 'DIARIA' : 'MENSUAL' );
       // echo "<h4 width='100' style='text-align:center; background:#43bced; color:white; padding:5px;'>Nómina: $tipoNomina</h4>";
	  
        //echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<br><table border=0 cellpadding=2 cellspacing=0 align='center'>";
		 echo "<tr align='center' bgcolor='#7dbe2c'>";
		echo "<th  colspan=13 ali = center><font face='verdana' size=2> nomina: $detalle_nomina</font></th>";
		echo "</tr>";
        echo "<tr bgcolor='#43bced' height='35'>";
        //echo "<th align = center><font color='white'> Foto </font></th>";
		echo "<th style='color:white; text-align:center;'>Nº</th>";
        echo "<th align = left><font color='white'> C&eacute;dula </font></th>";
        echo "<th align = left><font color='white'> Nombres </font></th>";
        echo "<th align = left><font color='white'> Apellidos </font></th>";
        echo "<th align = center><font color='white'> Nomina </font></th>";
        echo "<th align = center><font color='white'> Fecha Ingreso </font></th>";
        echo "<th align = center><font color='white'> Fecha Inicio Vacac. </font></th>";
        echo "<th align = center><font color='white'> Superv. </font></th>";
        echo "<th align = center><font color='white'> SERV. MEDICO </font></th>";
        echo "<th align = center><font color='white'> RRHH </font></th>";
        echo "<th align = center><font color='white'> Nomina </font></th>";
        echo "<th align = center><font color='white'> Contab. </font></th>";
        echo "<th align = center><font color='white'> Consultar </font></th>";

        $color = true;
		$contador = 1; // inicializar contador
        foreach ($registros as $row) {
            $cedula = $row['codigo'];
            $supervisorAprobador = $row['supervisor'];
			// echo " supervisorAprobador :".  $supervisorAprobador;
			// echo " <br>position_number :".  $position_number;
			// echo " <br>rol_usuario :".  $rol_usuario;

            if (
                (($rol_usuario == 'supervisor' || $rol_usuario == 'gerente') && $position_number == $supervisorAprobador)
                || in_array($usuario, ['GCURBELO','JMONTI13','BSALAZA3','AOZUNA4','OHENRIQ1','MCALLES1','JSANCH32','YSIRA','GPROCOPI','MASTER','SAIREH','SAIREHSOPORTE'])
            ) {
                $tcolor = $color ? "#CFE7DE" : "white";
                $imagen = file_exists('fotos/' . $cedula . '.jpg') ? 'fotos/' . $cedula . '.jpg' : 'img2/nohay.jpg';

                echo "<tr bgcolor='$tcolor'>";
				echo "<td align='center'>$contador</td>"; // mostrar número de fila
                //echo "<td align='center'><img src='$imagen' height='64' width='64'></td>";
                echo "<td width='100'><a href='" . $_SERVER['PHP_SELF'] . "?accion=5&cedula=$cedula'>" . $row['codigo'] . "</a></td>";
                echo "<td width='200'>" . trim($row['nombres']) . " " . $row['nombres1'] . "</td>";
                echo "<td width='200'>" . trim($row['apellidos']) . " " . $row['apellidos1'] . "</td>";
                echo "<td width='50' align=center>" . $row['nomina'] . "</td>";
                echo "<td width='120' align=center>" . mostrar_fecha($row['fechai']) . "</td>";
                echo "<td width='120' align=center>" . mostrar_fecha($row['fdesde']) . "</td>";

                // Supervisor
                echo "<td width='30' align='center'>" . ($row['aprobacion_sup']=='Aprobado' ? "<img src='img2/status_ver.png'>" : "") . "</td>";
                // Médico
                echo "<td width='30' align='center'>" . ($row['aprobacion_medico']=='Aprobado' ? "<img src='img2/status_ver.png'>" : "") . "</td>";
                // RRHH
                echo "<td width='30' align='center'>" . ($row['aprobacion_rrhh']=='Aprobado' ? "<img src='img2/status_ver.png'>" : "") . "</td>";
                // Nómina
                echo "<td width='30' align='center'>" . ($row['aprobacion_nomina']=='Aprobado' ? "<img src='img2/status_ver.png'>" : "") . "</td>";
                // Contabilidad
                echo "<td width='30' align='center'>" . ($row['aprobacion_contabilidad']=='Aprobado' ? "<img src='img2/status_ver.png'>" : "") . "</td>";

                echo "<td width='30' align='center'><a href='" . $_SERVER['PHP_SELF'] . "?accion=5&cedula=$cedula&supervisor_Aprobador=$supervisorAprobador'><img border=0 src='img2/calcular.png' alt='Seleccionar este registro'></a></td>";
                echo "</tr>";

				$contador++; // incrementar contador

                $color = !$color;
            }
        }
        echo "</table><br>";
    }
}
	} else{ echo "<hr>";
	mysqli_free_result($resultado);
}

///////////////////////////////////////////////// MOSTRAR DATA A INGRESAR ////////////////////////////////////////////////////////////////
if ($accion == 2 || $accion == 5 || $_POST['grabar'] == 1) {
	include("calendario/calendario.php");

	echo "<b>Opciones:</b> &nbsp;&nbsp;
      <a href='" . $_SERVER['PHP_SELF'] . "'>
          <img border='0' src='img2/regresa.png' alt='Regresar'>
          Regresar
      </a>";


	echo"<h2><center>APROBACIÓN DE VACACIONES DE TRABAJADOR <center></h2>";


	if ($resultado_aprobacion != '') {
		echo "<div id='response_sucess'>";
		echo $resultado_aprobacion;
		echo "</div>";
	}

	echo "<form name = 'fentrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'grabar' value = '1'>";

	$consulta = "select * from personal where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "' ";
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		$row = mysqli_fetch_array($resultado);

		//====================== buscar tipo de nomina
		$tipoNom = 1;
		$multiplo = 0;
		$consulta1 = "select tipo from nomina where id='" . $_SESSION['id_validar'] . "' and codigo='" . $row['nomina'] . "'";
		$resultado1 = mysqli_query($enlace, $consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		while ($row1 = mysqli_fetch_array($resultado1)) $tipoNom = $row1['tipo'];
		if ($tipoNom == 1) $multiplo = 12;
		else if ($tipoNom == 2) $multiplo = 6;
		else $multiplo = 3;
		//if ($icomi==1) $multiplo=$multiplo/2;

		//====================== buscar monto constante
		$mon01 = 0;
		$mon02 = 0;
		$mon03 = 0;
		$mon04 = 0;

		if ($con01 != '') {
			$consultax = "select monto from constante_individual where id='" . $_SESSION['id_validar'] . "' and codigo='" . $con01 . "' and cedula='" . $cedula . "' and nomina='" . $row['nomina'] . "'";
			$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox) != 0) {
				$rowx = mysqli_fetch_array($resultadox);
				if ($tipoNom == 1) $mon01 = $rowx['monto'] / 7 * 30;
				else if ($tipoNom == 2) $mon01 = $rowx['monto'] * 2;
				else $mon01 = $rowx['monto'];
			}
		}
		if ($con02 != '') {
			$consultax = "select monto from constante_individual where id='" . $_SESSION['id_validar'] . "' and codigo='" . $con02 . "' and cedula='" . $cedula . "' and nomina='" . $row['nomina'] . "'";
			$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox) != 0) {
				$rowx = mysqli_fetch_array($resultadox);
				if ($tipoNom == 1) $mon02 = $rowx['monto'] / 7 * 30;
				else if ($tipoNom == 2) $mon02 = $rowx['monto'] * 2;
				else $mon02 = $rowx['monto'];
			}
		}

		//====================== buscar monto conceptos
		//if ($con03!='') {
		//$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and concepto='".$con03."' and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
		/*$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and (substring(concepto,1,3)='109' OR substring(concepto,1,1)='7') and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
			}
			if ($cpaty>0) {
				if ($cpaty==1) {
					$mon03=$mpaty;
				} else {
					$mon03= $mpaty / $cpaty;
				}
			}*/

		$consultax = "select round(avg(monto),2) as monto from  (select sum(sueldo) as monto from personal_sueldo where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "' and fec<'" . substr($fechahoy, 0, -2) . "01' group by fec order by fec desc limit " . $multiplo . ") as prueba";

		$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mpaty = 0;
		$cpaty = 0;
		if ($rowx = mysqli_fetch_array($resultadox)) {

			if ($tipoNom == 1) {
				$mon03 = $rowx['monto'];
				$monMes = $mon03 / 7 * 30;
				$monDia = $mon03 / 7;
			} else {
				$mon03 = $rowx['monto'];
				$monMes = $mon03 / 15 * 30;
				$monDia = $mon03 / 15;
			}
		}

		//}
		/*
		if ($con04!='') {
			$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and substring(concepto,1,".strlen($con04).")='".$con04."' and cedula='".$cedula."' and nomina='".$row['nomina']."' group by periodo order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
			}
			if ($cpaty>0) {
				$mon04= $mpaty / $cpaty;
			}
		}
		*/
		$smes = ($row['smes'] / 30 + $row['bono1'] + $row['bono2']) * 30;

		echo "<br><center><img src='img2/administrator.png'><font color=black size=5>&nbsp;" . trim($row['nombres']) . " " . trim($row['nombres1']) . ' ' . trim($row['apellidos']) . " " . trim($row['apellidos1']) . "</font></center><br>";

		//echo "Tipo de Nï¿½mina: ".$tipoNom;
		//echo "Multiplo: ".$multiplo;
		echo "<table width = '100%' align ='center'>";
		echo "<tr><td width = '20%' align = 'right'> C&eacute;dula: </td>";
		echo "<td width = '36%' align = 'left'> <input type = 'text' name = 'cedula' size = '30' maxlength = '8' value = '" . $row['codigo'] . "' readonly> * </td>";
		echo "</tr>";

		//Echo substr($fechahoy, 0, -2)."01";

		echo "<tr><td width = '15%' align = 'right'> Nombres: </td>";
		echo "<td width = '29%' align = 'left'> <input type = 'text' name = 'nombres' size = '30' maxlength = '50' value = '" . trim($row['nombres']) . " " . $row['nombres1'] . "' readonly> * </td>";
		echo "</tr>";

		echo "<tr><td align = 'right'> Apellidos: </td>";
		echo "<td align = 'left'> <input type = 'text' name = 'apellidos' size = '30' maxlength = '50' value = '" . trim($row['apellidos']) . " " . $row['apellidos1'] . "' readonly> * </td>";
		echo "</tr>";

		echo "<tr><td align = 'right' > Fecha de Ingreso: </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'fec' size = '10' maxlength = '50' value = '" . $row['fechai'] . "' readonly></td>";
		echo "</tr>";

		//echo "<tr><td align = 'right' > Fecha de Hoy: </td>";
		//echo "<td align = 'left' >" .$fechahoy."</td>";
		//echo "</tr>";

		/////////////////////////////
		/*
		echo "<tr><td align = 'right' > Tipo de N&oacute;mina : </td>";
		if ($tipoNom == 1)
			echo "<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '1' readonly></td>";
		elseif ($tipoNom == 2) {
			echo "<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '2' readonly></td>";
		} else "<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '3' readonly></td>";

		echo "</tr>";

		*/
		///////////////////////////////////////////

		/*
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario B&aacute;sico Mensual: </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' value = '" .$smes. "' ></td>";
		echo "</tr>";
		$smesDiario = $smes/30;
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Sueldo B&aacute;sico Diario: </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesdia' size = '10' maxlength = '50' value = '" . round($smesDiario, 2) . "' ></td>";
		//number_format($row['antiguedad'],0)
		echo "</tr>";
		*/
		///////////////////////////////////////////

		/*
		//echo "<tr>";
		//echo "<td  width = '200' align = 'right' > <font color=red>Complemento de Sueldo: </font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' //value = '".($mon01+$mon02)."' ></td>";
		//echo "</tr>";

		//echo "<tr>";
		//echo "<td  width = '200' align = 'right' > <font color=red>Promedio Asignaciones (prom. 3 meses): </font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' value = '".($mon03+$mon04)."' ></td>";
		//echo "</tr>";

		if ($smes > $monMes) {
			$sueldo_vac = $smesDiario;
		} else {
			$sueldo_vac = $monDia;
		}

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Promedio Diario </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($monDia, 2) . "' ></td>";
		echo "</tr>";

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario para vacaciones </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldo' size = '10' maxlength = '50' value = '" . round($sueldo_vac, 2) . "' ></td>";
		echo "</tr>";
		*/

		//////////////////////////////////

		/*
		$ano1 = date("Y");
		$mes1 = date("m");
		$dia1 = date("d");
		$ano2 = $ano1 - 1;
		$ano3 = substr($row['fechai'], 0, 4);
		$mes3 = substr($row['fechai'], 5, 2);
		$dia3 = substr($row['fechai'], 8, 2);

		///////Encontar el prï¿½ximo periodo de vacacaciones a pagar
		if ($ultimoPer != '') {

			$ano4 = substr($ultimoPer, 5, 4);
			$ano5 = $ano4 + 1;
			$periodoPagar = $ano4 . '-' . $ano5;
		} else {
			$ano4 = substr($row['fechai'], 0, 4);
			$ano5 = $ano4 + 1;
			$periodoPagar = $ano4 . '-' . $ano5;
		}

		/////Antigï¿½edad para vacaciones a pagar
		$antigPagarVaca = $antiguedadVac < '1' ? 1 : $antiguedadVac + 1;
		//$antigPagarVaca = $antiguedadVac+1;



		if ($antiguedadVac < "1") {
			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" . ($antiguedadVac + 1) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > Per&iacute;odo de Vacaciones a Pagar </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" . $periodoPagar . "'></td>";
			echo "</tr>";
		} else {

			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= "15" ? $antigPagarVaca : $antiguedadVac) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > ULTIMO PERIODO PAGADO</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'ultper' size = '10' maxlength = '10' value = '" . $ultimoPer . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > Per&iacute;odo de Vacaciones a Pagar </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" . ($diasVacaPagados >= "15" ? $periodoPagar : $ultimoPer) . "'></td>";
			echo "</tr>";
		}
			*/

		////////////////////////////////////////


		/*
		echo "<tr><td align = 'right' > Per&iacute;odo de Vacaciones? </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '".($ano2.'-'.$ano1)."'></td>";
		echo "</tr>";
		*/


		if ($diasVacaPagados > 0 && $diasVacaPagados < 15) {
			echo "<tr><td align = 'right' > D&iacute;as Pagados en Fracci&oacute;n " . $ultimoPer . "</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diaspag' size = '10' maxlength = '10' value = '" . $diasVacaPagados . "'></td>";
			echo "</tr>";
		}
		/*
		echo "<tr><td align = 'right' > D&iacute;as H&aacute;biles para Vacaciones (Art. 190) </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'dvac' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dvac : $dvac - $diasVacaPagados) . "'></td>";
		echo "</tr>";

		echo "<tr><td align = 'right' > D&iacute;as Adicionales para Vacaciones (Art. 190) </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'diext' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dias_ext : 0) . "'></td>";
		echo "</tr>";

		if ($antiguedadVac < 1) {
			echo "<tr><td align = 'right' > D&iacute;as para Bono Vacacional (Cla&uacutes. 14) </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dbon' size = '10' maxlength = '10' value = '" . $dbon . "'></td>";
			echo "</tr>";
		} else {
			echo "<tr><td align = 'right' > D&iacute;as para Bono Vacacional (Cla&uacutes. 14) </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dbon' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dbon : 0) . "'></td>";
			echo "</tr>";
		}
		*/

		/*

		echo "<tr><td align = 'right' > Descontar SSO? </td>";
		echo "<td align = 'left' > <select name = 'des1'>
			<option value='0'>Si
			<option value='1'>No
			</select></td>";
		echo "</tr>";

		echo "<tr>";
		echo "<td width = '200' align = 'right' > <font color=red>Nro. Semanas del SSO: </font></td>";
		echo "<td width = '400' align = 'left' > <select name = 'semana'>
			<option>0
			<option>1
			<option>2
			<option>3
			<option>4
			<option>5
			<option>6
			<option>7
				</select></td>";
		echo "</tr>";

		*/

		/*

		echo "<tr><td align = 'right' > Descontar RPVH? </td>";
		echo "<td align = 'left' > <select name = 'des2'>
			<option value='0'>Si
			<option value='1'>No
			</select></td>";
		echo "</tr>";

		//		echo "<tr><td align = 'right' > La Vacaci&oacute;n es Colectiva? </td>";
		//		echo "<td align = 'left' > <select name = 'icol'>
		//			<option value='0'>NO
		//			<option value='1'>SI
		//			</select><font color=red>&nbsp;&nbsp;(Solo se Calcular&aacute; meses fraccionados)</font></td>";
		//		echo "</tr>";

		*/

		/*

		echo "<tr><td align = 'right' > Fecha Inicial de Vacaciones(ddmmaaaa): </td>";
		echo "<td align = 'left'>";
		escribe_formulario_fecha_vacio("fecha1", "fentrada");
		echo "</td></tr>";
		*/

		//====================================== si no es automatico
		//		echo "<tr><td align = 'right' > </td>";
		//		echo "<td align = 'left'><font color=red>(Si no es Autom&aacute;tica agregar estos valores)</font>";
		//		echo "</td></tr>";

		//		echo "<tr><td align = 'right' > Fecha Final de Vacaciones(ddmmaaaa): </td>";
		//		echo "<td align = 'left'>";
		//		escribe_formulario_fecha_vacio("fecha2","fentrada");
		//		echo "</td></tr>";

		//		echo "<tr><td align = 'right' > Fecha de Reintegro (ddmmaaaa): </td>";
		//		echo "<td align = 'left'>";
		//		escribe_formulario_fecha_vacio("fecha3","fentrada");
		//		echo "</td></tr>";

		/* echo "<tr><td align = 'right' > </td>";
		echo "<td align = 'left'>";
		echo "<input type = 'submit' value = 'Grabar Liquidaci&oacute;n de Vacaciones'>";
		echo "</td></tr>"; */

		echo "</tr>";
		echo "</table>";
	}
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.fentrada.dias.focus()";
	echo "	</script>";
	echo "</form>";



	if ($cedula != '') {
		$consulta = "select vacacion.*, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1, personal.supervisor from vacacion,personal where personal.id='" . $_SESSION['id_validar'] . "' and vacacion.cedula=personal.codigo and vacacion.cedula= '" . $cedula . "' order by fdesde";
		$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);

		//if ($num_rows != 0){
		echo "<table style='width:80%' rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35' align='center'>";
		echo "<th style='width:9%' rowspan = 2 align = left><font color='white'> Per&iacute;odo </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias Vac. </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias Adic Vac. </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias/Bono </font></th>";
		//echo "<th align = left><font color='white'> Tip/Nomina </font></th>";
		echo "<th style='width:12%' rowspan = 2 align = left><font color='white'> Desde </font></th>";
		echo "<th style='width:12%' rowspan = 2 align = center><font color='white'> Hasta </font></th>";
		echo "<th style='width:9%' rowspan = 2 align = center><font color='white'> Reintegro </font></th>";
		echo "<th style='width:9%' rowspan = 2 align = center><font color='white'> A&ntilde;o/Ant. </font></th>";
		//echo "<th align = center><font color='white'> Mes/Ant. </font></th>";
		echo "<th style='width:7%' rowspan = 2 align = center><font color='white'> Salario </font></th>";
		echo "<th style='width:9%; text-align: center;' colspan = 5 style='text-align: center;' ><font color='white'> Aprobaciones </font></th>";
		echo "<th style='width:7%; text-align: center;' rowspan = 2 colspan = 3 align = center><font color='white'> Acci&oacute;n </font></th>";

		echo "<tr bgcolor='#43bced' style='color: #fff;'>";
		echo "<th style='text-align: center;' width='100'>Superv.</td>";
		echo "<th style='text-align: center;' width='100'>SERV. MEDICO</td>";
		echo "<th style='text-align: center;' width='100'>RRHH</td>";
		echo "<th style='text-align: center;' width='100'>Nomina</td>";
		echo "<th style='text-align: center;' width='100'>Contab</td>";
		echo "</tr>";

		$sum_vaca_ot = 0;
		for ($cont = 0; $cont < $num_rows; $cont++) {
			$row = mysqli_fetch_array($resultado);
			//sumatoria de vacaciones otorgadas
			$sum_vaca_ot += $row['dvac'];
			$cedula = $row['cedula'];
			if ($color) {
				$tcolor = "#dfdfd0";
			} else {
				$tcolor = "white";
			}
			echo '<tr bgcolor=' . $tcolor . ' >';
			echo "<td width='100'>" . $row['periodo'] . "</td>";
			echo "<td width='20'>" . $row['dvac'] . "</td>";
			echo "<td width='20'>" . $row['dias_ext'] . "</td>";
			echo "<td width='20'>" . $row['dbon'] . "</td>";
			//echo "<td width='100'>".$row['tip']."</td>";
			echo "<td width='100'>" . mostrar_fecha($row['fdesde']) . "</td>";
			echo "<td width='100'>" . mostrar_fecha($row['fhasta']) . "</td>";
			echo "<td width='100'>" . mostrar_fecha($row['reintegro']) . "</td>";
			echo "<td width='50' align='center'>" . number_format($row['antiguedad'], 0) . "</td>";
			//echo "<td width='100' align='center'>".number_format($row['imes'],0)."</td>";
			echo "<td width='100' align='right'>" . number_format($row['sueldo'], 2) . "</td>";

			//Supervisor
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_sup'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";

			//SERV. MEDICO
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_medico'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";

			//RRHH
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_rrhh'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";

			//NOMINA
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_nomina'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";
			//CONTABILIDAD
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_contabilidad'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";
			if (substr($_SESSION['acceso_validar'], 18, 1) == '1') {
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='" . $_SERVER['PHP_SELF'] . "?accion=2&cedula=" . $cedula . "&periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "'><img  border = 0  src='img2/borrar.png'alt='eliminar Este registro' ></a></td>";
			}

			if ($rol_usuario != 'servicio_medico' ) {
			echo "<td width='30' align='center'><a target='_blank' href='calculo_vacaciones_recibo.php?periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><img border = 0 src='img2/icono_imprimo.png' alt='Imprimir Este registro'></a></td>";
			}

			echo "<td width='30' align='center'>";
			if ($row['fdesde'] >= '2021-09-01') { //SOLO PERMITIRÃ APROBAR NOVEDADES CON FECHA SUPERIOR AL 01 DE SEP DEL 2021

				if (($rol_usuario == 'supervisor' || $rol_usuario == 'gerente') && $position_number == $supervisorAprobador) { //APRUEBA SUPERVISOR
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_sup = '' and estatus_vac ='procesado' and envio_banesco='No'";
					$resultado_aprob = mysqli_query($enlace, $query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						///////Para aprobar
						echo "<td><a href='aprobacion_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a></td>";

						//////Para rechazar
						echo "<td><a href='aprobacion_vacaciones.php?rechazoVacacion=" . $row['id_vacacion'] . "&accion=2&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><span class = 'label_status_rechazar'>Rechazar</span></a></td>";
					}
				}


				if ($usuario == 'AOZUNA4' || $usuario == 'OHENRIQ1') { //APRUEBA SERVICIO MEDICO
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "'  AND estatus_vac ='procesado' AND aprobacion_rrhh = ''   AND aprobacion_medico = '' AND fdesde>='2025-08-19' ";
					$resultado_aprob = mysqli_query($enlace, $query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='aprobacion_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}

				if ($usuario == 'GCURBELO' 
					|| $usuario == 'JMONTI13' 
					|| $usuario == 'BSALAZA3' 
					||  $usuario == 'ASALAZ14') { //APRUEBA RRHH
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "'  AND estatus_vac ='procesado'  AND aprobacion_medico = 'Aprobado' AND aprobacion_rrhh = ''   ";
					$resultado_aprob = mysqli_query($enlace, $query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='aprobacion_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";

						//////Para rechazar
						echo "<a href='aprobacion_vacaciones.php?rechazoVacacion=" . $row['id_vacacion'] . "&accion=2&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><span class = 'label_status_rechazar'>Rechazar</span></a>";
					}
				}

				if ($usuario == 'YSIRA' || $usuario == 'JSANCH32') { //APRUEBA NOMINA
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_nomina = '' AND aprobacion_rrhh = 'Aprobado' ";
					$resultado_aprob = mysqli_query($enlace, $query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='aprobacion_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}

				if ($usuario == 'MCALLES1' || $usuario == 'GPROCOPI') { //APRUEBA CONTABILIDAD
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_contabilidad = '' AND aprobacion_nomina = 'Aprobado' ";
					$resultado_aprob = mysqli_query($enlace, $query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='aprobacion_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}
			}
			echo "</td>";

			echo '</tr>';
			$color = !$color;
		}
		////////////////////////////////////////////

		//Variables para dï¿½as de vacaciones pendientes


		/*
			Calc days between two dates using the financial calendar
			30/360 (usa) or 30E/360(european)<-default
			$fec1 and $fecha2 in format: aaaa-mm-dd
			return days  or -1 in case of error.

			based on cost_analysis.py module Ver. 0.1 public domain, no license required by Harm Kirchhoff
			*/


		///////////////////////////////////////////////// oculto hasta lanzar actualizaciï¿½n V 4.5


		function days_360($fec1, $fec2, $europeo = true)
		{
			//try switch dates: min to max
			if ($fec1 > $fec2) {
				$temf = $fec1;
				$fec1 = $fec2;
				$fec2 = $temf;
			}

			// get day month year...
			list($yy1, $mm1, $dd1) = explode('-', $fec1);
			list($yy2, $mm2, $dd2) = explode('-', $fec2);

			if ($dd1 == 31) {
				$dd1 = 30;
			}

			//checks according standars: 30E/360 or 30/360.
			if (!$europeo) {
				if (($dd1 == 30) and ($dd2 == 31)) {
					$dd2 = 30;
				} else {
					if ($dd2 == 31) {
						$dd2 = 30;
					}
				}
			}

			//check for invalid date
			if (($dd1 < 1) or ($dd2 < 1) or ($dd1 > 30) or ($dd2 > 31) or
				($mm1 < 1) or ($mm2 < 1) or ($mm1 > 12) or ($mm2 > 12) or
				($yy1 > $yy2)
			) {
				return (-1);
			}
			if (($yy1 == $yy2) and ($mm1 > $mm2)) {
				return (-1);
			}
			if (($yy1 == $yy2) and ($mm1 == $mm2) and ($dd1 > $dd2)) {
				return (-1);
			}

			//Calc
			$yy = $yy2 - $yy1;
			$mm = $mm2 - $mm1;
			$dd = $dd2 - $dd1;

			return (($yy * 360) + ($mm * 30) + $dd);
		}
		$fec1 = date("Y-m-d");
		$fec2 = date('Y-m-d', mktime(0, 0, 0, $mes3, $dia3, $ano3));
		$tdias = days_360($fec1, $fec2) + 1;
		$antiguedad_dias = number_format(($tdias), 0, '.', '');
		$antiguedad_mese_enteros = number_format(($antiguedad_dias / 30), 2);
		$dias_vacaciones_total = $antiguedad_mese_enteros * 15 / 12;
		$cant_vaca_favor = $dias_vacaciones_total - $sum_vaca_ot;
		$dias_disponibles_vac = (intval($dias_vacaciones_total / 15) * 15) - $sum_vaca_ot;


		echo "<td></td>";


		//ELIMINAR LOS COMENTADO SI SE QUIEREN MOSTRAR ESTOS DATOS // Miguelangel

		/*
			echo "<tr><td></td>";
			//echo $fec1;
			echo "</br>";
			//echo $fec2;
			echo "<td colspan=2 bgcolor='white'><font color='black'>Total d&iacute;as acumulados vacaciones al " .date('d-m-Y')." </font></td>";
			echo "<td bgcolor='white'><font color='black'>".number_format($antiguedad_mese_enteros,0)." </font></td>";
			echo "</tr>";

				echo"<td></td>";

			echo "<tr><td></td>";
			echo "<td colspan=2 bgcolor='white'><font color='black'>Total d&iacute;as vacaciones otorgados</font></td>";
			echo "<td bgcolor='white'><font color='black'>".number_format($dvac,0)." </font></td>";
			echo "</tr>";

				echo"<td></td>";

			*/

		///////////////////////////////////////////////// oculto hasta lanzar actualizaciï¿½n V 4.5


		//echo "<tr><td></td>";
		//echo "<td colspan=3 bgcolor='#dfdfd0'><font color='black'>D&iacute;as pagados/disfrutados:</font></td>";
		//echo "<td bgcolor='#dfdfd0'><font color='black'>" . number_format($sum_vaca_ot, 2) . " </font></td>";
		//echo "</tr>";

		//echo "<tr><td></td>";
		//echo "<td colspan=3 bgcolor='white'><font color='black'>Fracci&oacute;n D&iacute;as &Uacute;ltimo a&ntilde;o:</font></td>";
		//echo "<td bgcolor='white'><font color='black'>" . number_format($dias_vacaciones_total - $sum_vaca_ot, 2) . " </font></td>";
		//echo "</tr>";


		//echo "<td></td>";


		//echo "<tr><td></td>";
		//echo "<td colspan=3 bgcolor='#43bced'><font color='black'>D&iacute;as disponibles vacaciones al " . date('d-m-Y') . " </font></td>";

		/*
		if ($dias_disponibles_vac > 0) {
			echo "<td bgcolor='#C1F592'><font color='black'>" . number_format($dias_disponibles_vac, 0) . " </font></td>";
		} else
			echo "<td bgcolor='red'><font color='white'>" . number_format($dias_disponibles_vac, 0) . " </font></td>";

		echo "</tr>";
		*/


		/////////////////////////////////////////
		echo '</table>';
		//} else echo "<hr>";
		mysqli_free_result($resultado);
	}
}


echo "<br><br><br><br></body>";
?>


<style>

	.boton {
    border-radius: 8px;      /* Bordes redondeados */
    padding: 8px 16px;       /* Más espacio interno */
    border: none;            /* Quita el borde feo por defecto */
    cursor: pointer;         /* Mano al pasar */
    transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}

	.boton {
		/* width: 100%; */
		color: #FFFFFF;
		/* font-size: 0.8725em; */
		padding: 7px;
		margin-bottom: 5px;
		margin-top: 6px;
		outline: none;
		/* margin: 5px 0; */
		font-family: 'Open Sans', sans-serif;
		font-size: 16px;
		font-weight: bold;
		text-transform: uppercase;
		background: #36C1E2;
		border: 0px solid #DFDFDF;
	}

	.label_status_aprobar {
		background-color: #36C1E2 !important;
		color: #fff;
		display: inline;
		padding: .2em .6em .3em;
		font-size: 90%;
		font-weight: 700;
		line-height: 1;
		text-align: center;
		white-space: nowrap;
		vertical-align: baseline;
	}
	
	.label_status_rechazar {
		background-color: red !important;
		color: #fff;
		display: inline;
		padding: .2em .6em .3em;
		font-size: 90%;
		font-weight: 700;
		line-height: 1;
		text-align: center;
		white-space: nowrap;
		vertical-align: baseline;
	}


	#response_sucess {
		background: #7dbe2c;
		padding: 10px;
		width: auto;
		color: #fff;
		text-align: left;
		line-height: 25px;
	}
</style>

<script>
	setTimeout(function() {
		$('#response_sucess').fadeOut('slow');
	}, 1000);
</script>

<?
echo "</html>";
mysqli_close($enlace);
?>
